net.sf.jasperreports.engine.component

## Class DefaultComponentManager

- java.lang.Object
- - net.sf.jasperreports.engine.component.DefaultComponentManager

- All Implemented Interfaces:
    ComponentManager
  Direct Known Subclasses:
    ComponentsManager, IconLabelComponentManager

      public class DefaultComponentManager
      extends java.lang.Object
      implements ComponentManager

  A default `component manager` implementation.
  Version:
    $Id: DefaultComponentManager.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultComponentManager()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ComponentCompiler` | `getComponentCompiler(JasperReportsContext jasperReportsContext)` Returns the component compiler.
    `ComponentFillFactory` | `getComponentFillFactory(JasperReportsContext jasperReportsContext)` Returns the factory of fill component instances.
    `ComponentXmlWriter` | `getComponentXmlWriter(JasperReportsContext jasperReportsContext)` Returns the component XML writer.
    `ComponentDesignConverter` | `getDesignConverter(JasperReportsContext jasperReportsContext)` Returns the design component preview converter.
    `void` | `setComponentCompiler(ComponentCompiler componentCompiler)` Sets the component compiler implementation.
    `void` | `setComponentFillFactory(ComponentFillFactory fillFactory)` Sets the fill component factory implementation.
    `void` | `setComponentXmlWriter(ComponentXmlWriter componentXmlWriter)` Sets the component XML writer implementation.
    `void` | `setDesignConverter(ComponentDesignConverter designConverter)` Sets the design component preview converter.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultComponentManager

          public DefaultComponentManager()

  - ### Method Detail

    - #### getComponentFillFactory

          public ComponentFillFactory getComponentFillFactory(JasperReportsContext jasperReportsContext)

      Description copied from interface: `ComponentManager`
      Returns the factory of fill component instances.
      Specified by:
        `getComponentFillFactory` in interface `ComponentManager`
      Returns:
        the factory of fill component instances

    - #### setComponentFillFactory

          public void setComponentFillFactory(ComponentFillFactory fillFactory)

      Sets the fill component factory implementation.
      Parameters:
        `fillFactory` - the fill component factory
      See Also:
        `getComponentFillFactory(JasperReportsContext)`

    - #### getComponentCompiler

          public ComponentCompiler getComponentCompiler(JasperReportsContext jasperReportsContext)

      Description copied from interface: `ComponentManager`
      Returns the component compiler.
      Specified by:
        `getComponentCompiler` in interface `ComponentManager`
      Returns:
        the component compiler

    - #### setComponentCompiler

          public void setComponentCompiler(ComponentCompiler componentCompiler)

      Sets the component compiler implementation.
      Parameters:
        `componentCompiler` - the component compiler
      See Also:
        `getComponentCompiler(JasperReportsContext)`

    - #### getComponentXmlWriter

          public ComponentXmlWriter getComponentXmlWriter(JasperReportsContext jasperReportsContext)

      Description copied from interface: `ComponentManager`
      Returns the component XML writer.
      Specified by:
        `getComponentXmlWriter` in interface `ComponentManager`
      Returns:
        the component XML writer

    - #### setComponentXmlWriter

          public void setComponentXmlWriter(ComponentXmlWriter componentXmlWriter)

      Sets the component XML writer implementation.
      Parameters:
        `componentXmlWriter` - the component XML writer
      See Also:
        `getComponentXmlWriter(JasperReportsContext)`

    - #### getDesignConverter

          public ComponentDesignConverter getDesignConverter(JasperReportsContext jasperReportsContext)

      Description copied from interface: `ComponentManager`
      Returns the design component preview converter.

      May be `null`, in which case a static icon is used when previewing a report that contains an instance of the component.

      Specified by:
        `getDesignConverter` in interface `ComponentManager`
      Returns:
        the design component preview converter, or `null` if no such converter exists for the component.

    - #### setDesignConverter

          public void setDesignConverter(ComponentDesignConverter designConverter)

      Sets the design component preview converter.
      Parameters:
        `designConverter` - the design component preview converter

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com